=== debian/changelog ===
opennds (9.7.0-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 May 2022 15:33:22 +0200

opennds (9.7.0-3) unstable; urgency=medium

  * debian/rules:
    + Fix missing ';' in multi-line if-clause.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 May 2022 20:09:09 +0200

opennds (9.7.0-2) unstable; urgency=medium

  [ Daniel Teichmann ]
  * debian/rules:
    + Only fix perms if file exists and is executable. Fixes arch:any only
      builds.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 May 2022 17:22:47 +0200

opennds (9.7.0-1) unstable; urgency=medium

  [ Daniel Teichmann ]
  * Initial upload to Debian. (Closes: #1009368).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Apr 2022 14:15:08 +0200
