=== debian/changelog ===
opennds (9.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 1001 and 1003. Both applied upstream.
    + Drop 1002_typo-fixes-in-man-page.patch. Upstream remove the man page
      (which did contain bogus info anyway).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/source/lintian-overrides:
    + Update to new syntax.
  * debian/rules:
    + Move system service file to /lib/systemd/ (instead of /etc/systemd/).
  * debian/opennds-daemon-common.manpages:
    + Drop file. No man page anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 23:40:56 +0100
