=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,8 @@
 
 override_dh_install:
 	rm debian/tmp/etc/opennds/opennds.uci
+	mkdir -p debian/tmp/lib/systemd/system/
+	mv debian/tmp/etc/systemd/system/opennds.service debian/tmp/lib/systemd/system/
 	dh_install
 
 override_dh_missing:
