=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/opennds-$1.tar.gz/ \
https://github.com/openNDS/openNDS/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz
