=== debian/control ===
Source: opennds
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Daniel Teichmann <daniel.teichmann@das-netzwerkteam.de>,
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1~),
               libmicrohttpd-dev (>= 0.9.51),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/opennds/opennds
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/opennds.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/opennds/

Package: opennds
Architecture: all
Depends: ${misc:Depends},
         opennds-daemon (>= ${source:Version}),
Description: manage access to public internet access
 openNDS controls access to a public Internet connection and offers
 a simple way to open a Hotspot for wireless networks. It provides a
 captive portal to inform users about the services and optionally have
 them acknowledge the terms and conditions of its use.
 .
 This package contains all architecture independent files of openNDS.

Package: opennds-daemon
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         opennds-daemon-common (>= ${source:Version}),
Description: manage access to public internet access (service daemon)
 openNDS controls access to a public Internet connection and offers
 a simple way to open a Hotspot for wireless networks. It provides a
 captive portal to inform users about the services and optionally have
 them acknowledge the terms and conditions of its use.
 .
 This package contains the openNDS service daemon.

Package: opennds-daemon-common
Architecture: all
Depends: ${misc:Depends},
Description: manage access to public internet access (service helper scripts)
 openNDS controls access to a public Internet connection and offers
 a simple way to open a Hotspot for wireless networks. It provides a
 captive portal to inform users about the services and optionally have
 them acknowledge the terms and conditions of its use.
 .
 This package contains helper scripts for the openNDS service daemon.
