=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh $@
 
 override_dh_install:
-	rm debian/tmp/etc/opennds/opennds.uci
+	rm debian/tmp/etc/config/opennds
 	mkdir -p debian/tmp/lib/systemd/system/
 	mv debian/tmp/etc/systemd/system/opennds.service debian/tmp/lib/systemd/system/
 	dh_install
@@ -33,4 +33,4 @@
 	fi
 
 get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --destdir=..
+	uscan --noconf --force-download --repack --rename --download-current-version --destdir=..
