=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
     dversionmangle=s/\+dfsg// \
     https://github.com/openNDS/openNDS/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz
