## opennds 10.3.0+dfsg

=== debian/changelog ===
opennds (10.3.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1081792)
    Fixes CVE-2024-25763
  * Move aliased files from / to /usr (DEP17) (Closes: #1073664)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Oct 2024 22:34:03 +0200
