=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opennds
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
+Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Daniel Teichmann <daniel.teichmann@das-netzwerkteam.de>,
 Build-Depends: debhelper-compat (= 13),
