## opennds 10.3.1%2Bdfsg

=== debian/changelog ===
opennds (10.3.1+dfsg-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:31:36 +0100

opennds (10.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop non-used 1005_evaluate-system-call-retvals.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 18:45:56 +0200
