=== docs/requirements.txt ===
docutils>0.18
sphinx_rtd_theme
