=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                libmicrohttpd-dev (>= 0.9.51),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/opennds/opennds
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/opennds.git
