=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 override_dh_install:
 	rm debian/tmp/etc/config/opennds
-	mkdir -p debian/tmp/lib/systemd/system/
-	mv debian/tmp/etc/systemd/system/opennds.service debian/tmp/lib/systemd/system/
+	mkdir -p debian/tmp/usr/lib
+	mv debian/tmp/etc/systemd debian/tmp/usr/lib/
 	dh_install
 
 override_dh_missing:
